import os
import subprocess

import click

from utils import SharedValues


@click.command()
@click.option('--port', default=9696, help='Running port')
@click.option('--debug', default=False, help='Debug mode')
@click.argument('project', type=click.Path(exists=True, writable=True), required=False)
def main(port, debug, project):
    project = os.path.abspath(project) if project else os.getcwd()
    SharedValues.change_workspace(project)
    script = os.path.join(os.path.dirname(__file__), "addons", "binding.py")
    launch = "mitmdump" if not debug else "mitmweb"
    shell = f"{launch} -s {script} -p {port}"
    print(f"running on --port {port} --debug {debug} {project}")
    print("running mitm with command: ", shell)
    subprocess.run(shell, shell=True)

